import { AppError, Result } from '../utils/result';

export interface WidgetDataLoaderInterface<DLP, DBP, R> {
  isMyConfig(dataLoaderParams: DLP): boolean;
  load(
    dataLoaderParams: DLP,
    dashboardParams: DBP,
  ): Promise<Result<R, AppError>>;
}
